# SPDX-FileCopyrightText: 2022-2023 Gregor Kleen <gregor@kleen.consulting>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ inputs, frontendSource, backendSource, gitRevision ? null }: final: prev: prev.lib.composeManyExtensions [
  (import ./node-dependencies.nix { inherit inputs; })
  (import ./well-known.nix { inherit frontendSource; })
  (import ./frontend.nix { inherit frontendSource; })
  (import ./backend.nix { inherit backendSource inputs gitRevision; })
] final prev
